package com.uas.search.console.b2b.util;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;

/**
 * @author sunyj
 * @since 2017年6月28日 下午2:42:33
 */
public class JSONUtils {

	public static JSONObject parseObject(String text) {
		return JSONObject.parseObject(format(text));
	}

	public static JSONArray parseArray(String text) {
		return JSONObject.parseArray(format(text));
	}

	private static String format(String text) {
		// 单个转义符替换为多个转义符
		if (text == null) {
			return null;
		}
		return text.replace("\\", "\\\\");
	}

	public static String reverseFormat(String text) {
		// 多个转义符替换为单个转义符
		if (text == null) {
			return null;
		}
		return text.replace("\\\\", "\\");
	}

}
